routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');




Route::resource('kategoris', App\Http\Controllers\KategoriController::class);


Route::resource('produks', App\Http\Controllers\ProdukController::class);
Route::prefix('produks')->group(function () {
    Route::post('/add_stock', [App\Http\Controllers\ProdukController::class, 'add_stock'])->name('produks.add_stock');
    Route::get('/harga_jual/{id}', [App\Http\Controllers\ProdukController::class, 'harga_jual'])->name('produks.harga_jual');
    Route::post('/harga_jual/{id}', [App\Http\Controllers\ProdukController::class, 'update_harga_jual'])->name('produks.harga_jual.update');
});

Route::resource('detailUkuranProduks', App\Http\Controllers\DetailUkuranProdukController::class);


Route::resource('roles', App\Http\Controllers\RoleController::class);


Route::resource('karyawans', App\Http\Controllers\KaryawanController::class);
Route::prefix('karyawan')->group(
    function () {
        Route::get('/login', [App\Http\Controllers\Auth\KaryawanAuthController::class, 'getLogin'])->name('karyawan.login');
        Route::post('/login', [App\Http\Controllers\Auth\KaryawanAuthController::class, 'postLogin'])->name('karyawan.post.login');
        Route::post('/logout', [App\Http\Controllers\Auth\KaryawanAuthController::class, 'postLogout'])->name('karyawan.logout');
    }
);

Route::resource('pelanggans', App\Http\Controllers\PelangganController::class);


Route::resource('tagihanans', App\Http\Controllers\TagihananController::class);


Route::resource('keuanganKeluars', App\Http\Controllers\KeuanganKeluarController::class);
Route::prefix('keuanganKeluars')->group(function () {
    Route::post('/validasi/{id}', [App\Http\Controllers\KeuanganKeluarController::class, 'validasi'])->name('keuanganKeluars.validasi');
});

Route::resource('transaksis', App\Http\Controllers\TransaksiController::class);


Route::resource('detailTransaksis', App\Http\Controllers\DetailTransaksiController::class);


Route::resource('detailPembayarans', App\Http\Controllers\DetailPembayaranController::class);


Route::resource('detailBeliProduks', App\Http\Controllers\DetailBeliProdukController::class);


Route::resource('keranjangs', App\Http\Controllers\KeranjangController::class);
Route::prefix('jurnal_harian')->group(function () {
    Route::get('/', [App\Http\Controllers\JurnalHarianController::class, 'index'])->name('jurnal_harian.index');
    Route::get('/keuangan_masuk', [App\Http\Controllers\JurnalHarianController::class, 'keuangan_masuk'])->name('jurnal_harian.keuangan_masuk');
    Route::post('/', [App\Http\Controllers\JurnalHarianController::class, 'store'])->name('jurnal_harian.store');
});
Route::prefix('laporan')->group(function () {
    Route::get('/', [App\Http\Controllers\LaporanController::class, 'index'])->name('laporan.index');
});

app/Models/DetailTransaksi.php
<?php

namespace App\Models;

use Eloquent as Model;

use Illuminate\Database\Eloquent\Factories\HasFactory;

/**
 * Class DetailTransaksi
 * @package App\Models
 * @version July 21, 2022, 2:42 pm UTC
 *
 */
class DetailTransaksi extends Model
{

    use HasFactory;

    public $table = 'detail_transaksis';




    public $fillable = ['detail_ukuran_produk_id', 'jumlah', 'total', 'transaksi_id'];

    /**
     * The attributes that should be casted to native types.
     *
     * @var array
     */
    protected $casts = [
        'id' => 'integer',
        'jumlah' => 'integer',
        'total' => 'integer'
    ];

    /**
     * Validation rules
     *
     * @var array
     */
    public static $rules = [];
    /**
     * Get the transaksi that owns the DetailTransaksi
     *
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function transaksi()
    {
        return $this->belongsTo(Transaksi::class, 'transaksi_id');
    }
    /**
     * Get the produk that owns the DetailTransaksi
     *
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    /**
     * Get the detailUkuranProduk that owns the DetailTransaksi
     *
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function detailUkuranProduk()
    {
        return $this->belongsTo(DetailUkuranProduk::class, 'detail_ukuran_produk_id', 'id');
    }
}

app/Http/Controllers/DetailTransaksiController.php
<?php

namespace App\Http\Controllers;

use App\Http\Requests\CreateDetailTransaksiRequest;
use App\Http\Requests\UpdateDetailTransaksiRequest;
use App\Http\Controllers\AppBaseController;
use App\Models\DetailTransaksi;
use Illuminate\Http\Request;
use Flash;
use Response;

class DetailTransaksiController extends AppBaseController
{
    /**
     * Display a listing of the DetailTransaksi.
     *
     * @param Request $request
     *
     * @return Response
     */
    public function index(Request $request)
    {
        /** @var DetailTransaksi $detailTransaksis */
        $detailTransaksis = DetailTransaksi::all();

        return view('detail_transaksis.index')
            ->with('detailTransaksis', $detailTransaksis);
    }

    /**
     * Show the form for creating a new DetailTransaksi.
     *
     * @return Response
     */
    public function create()
    {
        return view('detail_transaksis.create');
    }

    /**
     * Store a newly created DetailTransaksi in storage.
     *
     * @param CreateDetailTransaksiRequest $request
     *
     * @return Response
     */
    public function store(CreateDetailTransaksiRequest $request)
    {
        $input = $request->all();

        /** @var DetailTransaksi $detailTransaksi */
        $detailTransaksi = DetailTransaksi::create($input);

        Flash::success('Detail Transaksi saved successfully.');

        return redirect(route('detailTransaksis.index'));
    }

    /**
     * Display the specified DetailTransaksi.
     *
     * @param int $id
     *
     * @return Response
     */
    public function show($id)
    {
        /** @var DetailTransaksi $detailTransaksi */
        $detailTransaksi = DetailTransaksi::find($id);

        if (empty($detailTransaksi)) {
            Flash::error('Detail Transaksi not found');

            return redirect(route('detailTransaksis.index'));
        }

        return view('detail_transaksis.show')->with('detailTransaksi', $detailTransaksi);
    }

    /**
     * Show the form for editing the specified DetailTransaksi.
     *
     * @param int $id
     *
     * @return Response
     */
    public function edit($id)
    {
        /** @var DetailTransaksi $detailTransaksi */
        $detailTransaksi = DetailTransaksi::find($id);

        if (empty($detailTransaksi)) {
            Flash::error('Detail Transaksi not found');

            return redirect(route('detailTransaksis.index'));
        }

        return view('detail_transaksis.edit')->with('detailTransaksi', $detailTransaksi);
    }

    /**
     * Update the specified DetailTransaksi in storage.
     *
     * @param int $id
     * @param UpdateDetailTransaksiRequest $request
     *
     * @return Response
     */
    public function update($id, UpdateDetailTransaksiRequest $request)
    {
        /** @var DetailTransaksi $detailTransaksi */
        $detailTransaksi = DetailTransaksi::find($id);

        if (empty($detailTransaksi)) {
            Flash::error('Detail Transaksi not found');

            return redirect(route('detailTransaksis.index'));
        }

        $detailTransaksi->fill($request->all());
        $detailTransaksi->save();

        Flash::success('Detail Transaksi updated successfully.');

        return redirect(route('detailTransaksis.index'));
    }

    /**
     * Remove the specified DetailTransaksi from storage.
     *
     * @param int $id
     *
     * @throws \Exception
     *
     * @return Response
     */
    public function destroy($id)
    {
        /** @var DetailTransaksi $detailTransaksi */
        $detailTransaksi = DetailTransaksi::find($id);

        if (empty($detailTransaksi)) {
            Flash::error('Detail Transaksi not found');

            return redirect(route('detailTransaksis.index'));
        }

        $detailTransaksi->delete();

        Flash::success('Detail Transaksi deleted successfully.');

        return redirect(route('detailTransaksis.index'));
    }
}

resources/views/detail_transaksis/create.blade.php
@extends('layouts.app')

@section('content')
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-12">
                    <h1>Create Detail Transaksi</h1>
                </div>
            </div>
        </div>
    </section>

    <div class="content px-3">

        @include('adminlte-templates::common.errors')

        <div class="card">

            {!! Form::open(['route' => 'detailTransaksis.store']) !!}

            <div class="card-body">

                <div class="row">
                    @include('detail_transaksis.fields')
                </div>

            </div>

            <div class="card-footer">
                {!! Form::submit('Save', ['class' => 'btn btn-primary']) !!}
                <a href="{{ route('detailTransaksis.index') }}" class="btn btn-default">Cancel</a>
            </div>

            {!! Form::close() !!}

        </div>
    </div>
@endsection

resources/views/detail_transaksis/edit.blade.php
@extends('layouts.app')

@section('content')
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-12">
                    <h1>Edit Detail Transaksi</h1>
                </div>
            </div>
        </div>
    </section>

    <div class="content px-3">

        @include('adminlte-templates::common.errors')

        <div class="card">

            {!! Form::model($detailTransaksi, ['route' => ['detailTransaksis.update', $detailTransaksi->id], 'method' => 'patch']) !!}

            <div class="card-body">
                <div class="row">
                    @include('detail_transaksis.fields')
                </div>
            </div>

            <div class="card-footer">
                {!! Form::submit('Save', ['class' => 'btn btn-primary']) !!}
                <a href="{{ route('detailTransaksis.index') }}" class="btn btn-default">Cancel</a>
            </div>

            {!! Form::close() !!}

        </div>
    </div>
@endsection

resources/views/detail_transaksis/index.blade.php
@extends('layouts.app')

@section('content')
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1>Detail Transaksis</h1>
                </div>
                <div class="col-sm-6">
                    <a class="btn btn-primary float-right"
                       href="{{ route('detailTransaksis.create') }}">
                        Add New
                    </a>
                </div>
            </div>
        </div>
    </section>

    <div class="content px-3">

        @include('flash::message')

        <div class="clearfix"></div>

        <div class="card">
            <div class="card-body p-0">
                @include('detail_transaksis.table')

                <div class="card-footer clearfix">
                    <div class="float-right">
                        
                    </div>
                </div>
            </div>

        </div>
    </div>

@endsection

resources/views/detail_transaksis/show.blade.php
@extends('layouts.app')

@section('content')
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1>Detail Transaksi Details</h1>
                </div>
                <div class="col-sm-6">
                    <a class="btn btn-default float-right"
                       href="{{ route('detailTransaksis.index') }}">
                        Back
                    </a>
                </div>
            </div>
        </div>
    </section>

    <div class="content px-3">
        <div class="card">
            <div class="card-body">
                <div class="row">
                    @include('detail_transaksis.show_fields')
                </div>
            </div>
        </div>
    </div>
@endsection

resources/views/detail_transaksis/table.blade.php
<div class="table-responsive">
    <table class="table" id="detailTransaksis-table">
        <thead>
        <tr>
            
            <th colspan="3">Action</th>
        </tr>
        </thead>
        <tbody>
        @foreach($detailTransaksis as $detailTransaksi)
            <tr>
                
                <td width="120">
                    {!! Form::open(['route' => ['detailTransaksis.destroy', $detailTransaksi->id], 'method' => 'delete']) !!}
                    <div class='btn-group'>
                        <a href="{{ route('detailTransaksis.show', [$detailTransaksi->id]) }}"
                           class='btn btn-default btn-xs'>
                            <i class="far fa-eye"></i>
                        </a>
                        <a href="{{ route('detailTransaksis.edit', [$detailTransaksi->id]) }}"
                           class='btn btn-default btn-xs'>
                            <i class="far fa-edit"></i>
                        </a>
                        {!! Form::button('<i class="far fa-trash-alt"></i>', ['type' => 'submit', 'class' => 'btn btn-danger btn-xs', 'onclick' => "return confirm('Are you sure?')"]) !!}
                    </div>
                    {!! Form::close() !!}
                </td>
            </tr>
        @endforeach
        </tbody>
    </table>
</div>